{
  config,
  lib,
  pkgs,
  ...
}: {
  programs.dconf.enable = true;

  # fonts

  fonts.fontDir.enable = true;
  fonts.fonts = with pkgs; [
    emacs-all-the-icons-fonts
    corefonts
    vistafonts
    noto-fonts
    noto-fonts-cjk
    noto-fonts-emoji
    liberation_ttf
    fira
    fira-code
    fira-code-symbols
    mplus-outline-fonts.githubRelease
    dina-font
    proggyfonts
    (nerdfonts.override {fonts = ["FiraCode" "DroidSansMono" "NerdFontsSymbolsOnly"];})
  ];

  # Desktop env
  services.xserver = {
    enable = true;
    layout = "us";
    xkbVariant = "alt-intl";

    desktopManager.plasma5.enable = true;

    displayManager = {
      defaultSession = "plasmawayland";

      sddm.enable = true;

      # autoLogin = {
      #  enable = true;
      #  user = "tristand";
      # };
    };
  };
  #########################

  ## audio
  sound.enable = true;
  hardware.bluetooth.enable = true;
  hardware.pulseaudio.enable = false;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    jack.enable = true;
  };
  #########

  ## printing

  services.printing.enable = true;
  services.printing.drivers = with pkgs; [
    gutenprint
    gutenprintBin
    hplipWithPlugin
    brlaser
    brgenml1cupswrapper
  ];

  environment.systemPackages = with pkgs; [
    cifs-utils
  ];

  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
  };
}
