{
  pkgs,
  config,
  inputs,
  system,
  ...
}: let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in {
  imports = [
    ../home-mods/dev
    ../home-mods/firefox
    ../home-mods/plasma
    ../home-mods/virt
  ];

  home.file.".background".source = wallpaperPath;
  home.username = "tester";
  home.homeDirectory = "/home/tester";

  home.packages = with pkgs.unstable; [
    bitwarden
    brave
    btop
    cavalier
    freetube
    imagemagick
    inkscape
    jellyfin-media-player
    kate
    neofetch
    nextcloud-client
    onlyoffice-bin
    rust-motd
    rustdesk
    tutanota-desktop
    signal-desktop
    statix
    thunderbird
    zellij
  ];

  home.stateVersion = "23.05";
}
